### Home Classes Methods

### In Files

- lib/gherkin/parser/parser.rb

### Parent

Object

### Methods

- ::new
- #eof
- #location
- #row

### Files

- LICENSE
- README.rdoc
- meta.txt
- root.txt
- steps.txt
- README.rdoc

### Class/Module Index

Quicksearch

- Gherkin
- Gherkin::CLexer
- Gherkin::Cli
- Gherkin::Cli::Main
- Gherkin::Formatter
- Gherkin::Formatter::Argument
- Gherkin::Formatter::Colors
- Gherkin::Formatter::Escaping
- Gherkin::Formatter::JSONFormatter
- Gherkin::Formatter::MonochromeFormat
- Gherkin::Formatter::PrettyFormatter
- Gherkin::I18n
- Gherkin::I18nLexer
- Gherkin::JSONLexer
- Gherkin::Parser
- Gherkin::Parser::Event
- Gherkin::Parser::FilterListener
- Gherkin::Parser::FormatterListener
- Gherkin::Parser::ParseError
- Gherkin::Parser::Parser
- Gherkin::Parser::Parser::Machine
- Gherkin::Parser::Parser::Machine::StateMachineReader
- Gherkin::Parser::Row
- Gherkin::Parser::TagExpression
- Gherkin::RbLexer
- Gherkin::Rubify
- Gherkin::Tools
- Gherkin::Tools::Files
- Gherkin::Tools::Reformat
- Gherkin::Tools::Stats
- Gherkin::Tools::StatsListener
- Class

No matching classes.

# Gherkin::Parser::Parser::Machine::StateMachineReader

### Attributes

rows[R]

### Public Class Methods

new() click to toggle source

    # File lib/gherkin/parser/parser.rb, line 132
    def initialize
      @rows = []
    end

### Public Instance Methods

eof() click to toggle source

    # File lib/gherkin/parser/parser.rb, line 143
    def eof
    end

location(uri, offset) click to toggle source

    # File lib/gherkin/parser/parser.rb, line 136
    def location(uri, offset)
    end

row(row, line_number) click to toggle source

    # File lib/gherkin/parser/parser.rb, line 139
    def row(row, line_number)
      @rows << row
    end

[Validate]

Generated with the Darkfish Rdoc Generator 2.